Bug 968536 - one-off patch for RF-12850 : Popup panel: button's label is invisible in IE10
one-off patch for RF-12850 : Popup panel: button's label is invisible in IE10
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: RichFaces (Show other bugs)
2.2.0
Unspecified Unspecified
high Severity high
: ---
: One-off release
Assigned To: Pavol Pitonak
Pavol Pitonak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 16:13 EDT by ivassile
Modified: 2013-07-16 10:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
PATCH NAME: 968536 PRODUCT NAME: Web Framework Kit VERSION: 2.2 SHORT DESCRIPTION: Popup panel: button's label is invisible in IE10 LONG DESCRIPTION: See RF-12850 (https://issues.jboss.org/browse/RF-12850) for details. MANUAL INSTALL INSTRUCTIONS: Follow the required actions to apply this patch: Replace jar in binary distribution 1 - Locate the "richfaces-components-ui-4.3.1.Final-redhat-1.jar" coming from jboss-wfk-2.2.0-richfaces-bin.zip (./jboss-wfk-2.2.0/richfaces-4.3.1.Final-redhat-1/artifacts/ui/richfaces-components-ui-4.3.1.Final-redhat-1.jar) 2 - Replace the "richfaces-components-ui-4.3.1.Final-redhat-1.jar" with file "richfaces-components-ui-4.3.1.Final-redhat-1-bz-968536.jar" from this patch. Add artifact to WFK Maven repository 1 - install artifact into your local Maven repository using mvn install:install-file -Dfile=./richfaces-components-ui-4.3.1.Final-redhat-1-bz-968536.jar -DpomFile=./richfaces-components-ui-4.3.1.Final-redhat-1-bz-968536.pom Use patched artifact (as dependency) in your Maven builds 1 - overide dependency with following snipet in your application pom.xml <dependencyManagement> <dependencies> <dependency> <groupId>org.richfaces.ui</groupId> <artifactId>richfaces-components-ui</artifactId> <version>4.3.1.Final-redhat-1-bz-968536</version> </dependency> </dependencies> </dependencyManagement> Note, if there is already a <dependencyManagement> section in you pom.xml, you need to place this snippet to appear on the top of the section COMPATIBILITY: None DEPENDENCIES: None SUPERSEDES: None SUPERSEDED BY: None CREATOR: Ilia Vassilev DATE: 5/29/2013
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 10:45:51 EDT
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
one-off patch (6.23 MB, patch)
2013-05-29 17:12 EDT, ivassile
no flags Details | Diff

  None (edit)
Description ivassile 2013-05-29 16:13:55 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 ivassile 2013-05-29 17:12:21 EDT
Created attachment 754543 [details]
one-off patch
Comment 2 ivassile 2013-05-29 17:13:17 EDT
To QA: Please verify the patch.
Comment 3 Pavol Pitonak 2013-05-31 04:56:49 EDT
Please upload the patch.

Note You need to log in before you can comment on or make changes to this bug.